package com.hzya.frame.ttxofs.dto.ofsTransferOrderSearch;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class OFSTranseferOrderSearchResponse extends ReturnMessageBasics {
    private List<OFSTranseferOrder> data;
    @Data
    public class OFSTranseferOrder{
        private OFSTranseferH header;
        private List<OFSTranseferB> details;

        @Data
        public class OFSTranseferH{
            /** id */
            private Integer id;
            /** 组织 */
            private String clientCode;
            /** 货主编码 */
            private String companyCode;
            /** 库存地点编码 */
            private String facilityCode;
            /** 目标库存地点编码 */
            private String toFacilityCode;
            /** 订单编码 */
            private String code;
            /** 移动单类型 */
            private String orderType;
            /** 状态 */
            private Integer status;
            /** 来源平台 */
            private String sourcePlatformCode;
            /** 上位订单id */
            private String sourceOrderId;
            /** 来源订单号 */
            private String sourceOrderCode;
            /** 承运人 */
            private String carrierCode;
            /** 总行数 */
            private Integer totalLines;
            /** 总数量 */
            private Integer totalQty;
            /** 货品单位 */
            private String quantityUM;
            /** 总重量 */
            private Integer totalWeight;
            /** 总体积 */
            private Integer totalVolume;
            /** 总材积 */
            private Integer totalVolumeWeight;
            /** 重量单位 OFS数据字典WEIGHT_UM */
            private String weightUM;
            /** 体积单位 OFS数据字典VOLUME_UM */
            private String volumeUM;
            /** 异常类型 */
            private String errorCode;
            /** 异常描述 */
            private String errorDesc;
            /** 锁定原因 */
            private String holdCode;
            /** 锁定用户 */
            private String holdUser;
            /** 系统内部类型 */
            private String internalOrderType;
            /** 业务发生渠道 B2C B2C/B2B B2B/NA NA */
            private String bizChannel;
            /**  */
            private Date created;
            /**  */
            private String createdBy;
            /**  */
            private Date lastUpdated;
            /**  */
            private String lastUpdatedBy;
            /** 备注 */
            private String notes;
        }
        @Data
        public class OFSTranseferB{
            /** id */
            private Integer id;
            /** 订单ID */
            private Integer transferOrderId;
            /** 订单编号 */
            private String transferOrderCode;
            /** 企业编码 */
            private String clientCode;
            /** 商家编码 */
            private String companyCode;
            /** 库存地点编码 */
            private String facilityCode;
            /** SKU 编码 */
            private String skuCode;
            /** SKU 名称 */
            private String skuName;
            /** 要求发货数量 */
            private Integer requestQty;
            /** 发货数量 */
            private Integer shipQty;
            /** 实收数量 */
            private Integer recvQty;
            /** 来源订单id */
            private String sourceOrderId;
            /** 源订单号 */
            private String sourceOrderCode;
            /** 来源平台 */
            private String sourcePlatformCode;
            /** 原订单明细行号 */
            private String sourceLineNum;
            /** 货品单位 */
            private String quantityUM;
            /** 库存状态 */
            private String inventorySts;
            /** 总重量 */
            private Integer totalWeight;
            /** 总体积 */
            private Integer totalVolume;
            /** 总材积 */
            private Integer totalVolumeWeight;
            /** 重量单位 OFS数据字典WEIGHT_UM */
            private String weightUM;
            /** 体积单位 OFS数据字典VOLUME_UM */
            private String volumeUM;
            /**  */
            private Date created;
            /**  */
            private String createdBy;
            /**  */
            private Date lastUpdated;
            /**  */
            private String lastUpdatedBy;
        }

    }

}
