package com.hzya.frame.ttxofs.dto.stock;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * OFS入库单查询相应类
 */
@Data
public class StockinOrderSearchResponse extends ReturnMessageBasics {
    private List<StockinOrder> data;

    @Data
    public class StockinOrder {
        private StockinH header;
        private List<StockinB> details;

        @Data
        public class StockinH {

            private Integer id;
            private String clientCode;
            private String companyCode;
            private String facilityCode;
            private String code;
            private String internalInstructionType;
            private String bizChannel;
            private Integer refOrderId;
            private String refOrderCode;
            private String refOrderType;
            private Integer closed;
            private String closedBy;
            private Integer status;
            private Integer allowOverReceive;
            private Integer totalLines;
            private Integer totalQty;
            private Integer totalAmount;
            private Integer totalWeight;
            private Integer totalVolume;
            private Integer totalVolumeWeight;
            private Integer totalFulfillAmount;
            private Integer totalFulfillWeight;
            private Integer totalFulfillVolume;
            private Integer totalFulfillVolumeWeight;
            private Integer totalFulfillQty;
            private Integer totalCases;
            private Integer totalContainers;
            private Integer closeAtQty;
            private String quantityUM;
            private String weightUM;
            private String volumeUM;
            private Date checkInFrom;
            private Date checkInTo;
            private Date closedAt;
            private String note;
            private String sourceOrderCode;
            private Date created;
            private String createdBy;
            private Date lastUpdated;
            private String lastUpdatedBy;
        }

        @Data
        public class StockinB {

            private Integer id;
            private Integer receiptId;
            private String receiptCode;
            private Integer refOrderId;
            private Integer refOrderDetailId;
            private String clientCode;
            private String companyCode;
            private String facilityCode;
            private String skuCode;
            private String skuName;
            private Integer requestQty;
            private Integer receivedQty;
            private Integer openQty;
            private String quantityUM;
            private Integer totalWeight;
            private Integer totalVolume;
            private Integer totalVolumeWeight;
            private Integer totalAmount;
            private String weightUM;
            private String volumeUM;
            private String inventorySts;
            private Integer inTransInvId;
            private Integer closed;
            private Date created;
            private String createdBy;
            private Date lastUpdated;
            private String lastUpdatedBy;
            private Integer discountPrice;
        }

    }
}
